/* this file is a part of amp software

   buffer.c: written by Andrew Richards  <A.Richards@phys.canterbury.ac.nz>
             (except printout())

   Last modified by:
   Karl Anders Oygard added flushing of audio buffers, 13 May 1997

*/

#include <windows.h>
#include "amp.h"
#include "transform.h"

#include "audioIO.h"
#include "audio.h"

int AUDIO_BUFFER_SIZE=0;

void audioBufferWrite(char *buf,int bytes) {
	audioWrite(buf,bytes);
}

void printout(void) {
	int j;

	if (nch==2) j=32 * 18 * 2;
	else j=32 * 18;

	if (A_WRITE_TO_FILE) {
		fwrite(sample_buffer, sizeof(short), j, out_file);
	}

	if (A_AUDIO_PLAY) {
		if (AUDIO_BUFFER_SIZE==0) audioWrite((char*)sample_buffer, j * sizeof(short));
		else audioBufferWrite((char*)sample_buffer, j * sizeof(short));
	}
}

void initBuffer() {}

void freeBuffer() {}

void audioBufferFlush() {
	audioFlush();
}

int audioBufferOpen(int frequency, int stereo, int volume) {
	audioOpen(frequency,stereo,volume);
	initBuffer();
	return 0;
}

void audioBufferClose() {
	audioClose();
}